[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[ MDVSA-2008:007 ] - Updated madwifi-source, wpa_supplicant packages fix vulnerabilities



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________
 
 Mandriva Linux Security Advisory                         MDVSA-2008:007
 http://www.mandriva.com/security/
 _______________________________________________________________________
 
 Package : madwifi-source
 Date    : January 10, 2008
 Affected: 2007.0, 2007.1, 2008.0
 _______________________________________________________________________
 
 Problem Description:
 
 MadWifi prior to 0.9.3.3 allowed remote attackers to cause a denial
 of service (panic) via a beacon frame with a large length value in
 the extended supported rates (xrates) element, which would trigger
 an assertion error.
 
 Updated packages have been updated to 0.9.3.3 to correct this
 issue. Wpa_supplicant is built using madwifi-source and has been
 rebuilt using 0.9.3.3 source.
 _______________________________________________________________________

 References:
 
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5448
 _______________________________________________________________________
 
 Updated Packages:
 
 Mandriva Linux 2007.0:
 994e5a529757654404fe20c659f01a81  2007.0/i586/madwifi-source-0.9.3.3-1.1mdv2007.0.noarch.rpm
 96337298e1b19ebf0680b704bb37aabc  2007.0/i586/wpa_gui-0.5.5-2.3mdv2007.0.i586.rpm
 b71e1f08dcecac80668c1e6486ef85e8  2007.0/i586/wpa_supplicant-0.5.5-2.3mdv2007.0.i586.rpm 
 e228e88670cae478d7f025013e21d487  2007.0/SRPMS/madwifi-source-0.9.3.3-1.1mdv2007.0.src.rpm
 ca8ad7710dc3f8f3a659de1c480b7f4a  2007.0/SRPMS/wpa_supplicant-0.5.5-2.3mdv2007.0.src.rpm

 Mandriva Linux 2007.0/X86_64:
 9474e50b228b594ed8a8ee31d85c2a13  2007.0/x86_64/madwifi-source-0.9.3.3-1.1mdv2007.0.noarch.rpm
 d0fab326d4ebcccb814e7afc78c62023  2007.0/x86_64/wpa_gui-0.5.5-2.3mdv2007.0.x86_64.rpm
 2b8ea9b48f395ff7f407774444989dfc  2007.0/x86_64/wpa_supplicant-0.5.5-2.3mdv2007.0.x86_64.rpm 
 e228e88670cae478d7f025013e21d487  2007.0/SRPMS/madwifi-source-0.9.3.3-1.1mdv2007.0.src.rpm
 ca8ad7710dc3f8f3a659de1c480b7f4a  2007.0/SRPMS/wpa_supplicant-0.5.5-2.3mdv2007.0.src.rpm

 Mandriva Linux 2007.1:
 f7e6a1f9fcf31eace993c3732fff56e2  2007.1/i586/madwifi-source-0.9.3.3-1.1mdv2007.1.noarch.rpm
 8be4e877f8f1302312fc8e87204099c0  2007.1/i586/wpa_gui-0.5.7-1.3mdv2007.1.i586.rpm
 11e5d5478132946e0ba0af05b4a95d93  2007.1/i586/wpa_supplicant-0.5.7-1.3mdv2007.1.i586.rpm 
 dfdd7c77a9613d4617581202835dae8b  2007.1/SRPMS/madwifi-source-0.9.3.3-1.1mdv2007.1.src.rpm
 6d3ac2467ad746a431cb7ba29d223490  2007.1/SRPMS/wpa_supplicant-0.5.7-1.3mdv2007.1.src.rpm

 Mandriva Linux 2007.1/X86_64:
 1d02ba56908361b47b734744037aacf9  2007.1/x86_64/madwifi-source-0.9.3.3-1.1mdv2007.1.noarch.rpm
 51a6280d852c1a0cdd7068e79138e4ac  2007.1/x86_64/wpa_gui-0.5.7-1.3mdv2007.1.x86_64.rpm
 56666aee7b298754788cfdbd983b9fdb  2007.1/x86_64/wpa_supplicant-0.5.7-1.3mdv2007.1.x86_64.rpm 
 dfdd7c77a9613d4617581202835dae8b  2007.1/SRPMS/madwifi-source-0.9.3.3-1.1mdv2007.1.src.rpm
 6d3ac2467ad746a431cb7ba29d223490  2007.1/SRPMS/wpa_supplicant-0.5.7-1.3mdv2007.1.src.rpm

 Mandriva Linux 2008.0:
 e854f61c347877fd0ee65bc2c0218337  2008.0/i586/madwifi-source-0.9.3.3-1.1mdv2008.0.noarch.rpm
 e04b222093d69d2049c7439dd2e806b1  2008.0/i586/wpa_gui-0.6.0-1.2mdv2008.0.i586.rpm
 e43ac8caaada63eeaacf980eebe14ceb  2008.0/i586/wpa_supplicant-0.6.0-1.2mdv2008.0.i586.rpm 
 a2aa4eb6917a165427de69725064e8b7  2008.0/SRPMS/madwifi-source-0.9.3.3-1.1mdv2008.0.src.rpm
 fd704402aad00c89cc23d22a78e892c4  2008.0/SRPMS/wpa_supplicant-0.6.0-1.2mdv2008.0.src.rpm

 Mandriva Linux 2008.0/X86_64:
 90194015eb52160071fd74743ef6c198  2008.0/x86_64/madwifi-source-0.9.3.3-1.1mdv2008.0.noarch.rpm
 f041b8320f9f363b58d3c548312151b0  2008.0/x86_64/wpa_gui-0.6.0-1.2mdv2008.0.x86_64.rpm
 3f76dbf8e0758bd949713f224142038c  2008.0/x86_64/wpa_supplicant-0.6.0-1.2mdv2008.0.x86_64.rpm 
 a2aa4eb6917a165427de69725064e8b7  2008.0/SRPMS/madwifi-source-0.9.3.3-1.1mdv2008.0.src.rpm
 fd704402aad00c89cc23d22a78e892c4  2008.0/SRPMS/wpa_supplicant-0.6.0-1.2mdv2008.0.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.8 (GNU/Linux)

iD8DBQFHhte0mqjQ0CJFipgRArqpAJ99VOakpyKJ/pl5N59yBHqOFBmPsACfVQ96
C1t/vXtXiFg1QtY3/73pZTw=
=hRSd
-----END PGP SIGNATURE-----